curl --request PATCH \
--url https://api.useanima.sh/v1/orgs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"clerkOrgId": "<string>",
"settings": {}
}
'import requests
url = "https://api.useanima.sh/v1/orgs/{id}"
payload = {
"name": "<string>",
"slug": "<string>",
"clerkOrgId": "<string>",
"settings": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', slug: '<string>', clerkOrgId: '<string>', settings: {}})
};
fetch('https://api.useanima.sh/v1/orgs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"clerkOrgId": "<string>",
"tier": "FREE",
"keyRotatedAt": "2023-11-07T05:31:56Z",
"settings": {},
"outboundConsent": {
"attested": true,
"consentSource": "<string>",
"dncAttestation": true,
"attestedAt": "2023-11-07T05:31:56Z",
"attestedBy": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Patch orgs
Authorizations
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Path Parameters
Unique identifier of the organization to update
^[cC][^\s-]{8,}$Body
Request body for updating an existing organization
Updated display name
2 - 120Updated URL-friendly identifier
2 - 64^[a-z0-9-]+$Updated external Clerk organization ID
1 - 128Updated key-value settings
Show child attributes
Show child attributes
Response
OK
Organization resource with full details (no secrets)
Unique identifier for the organization
^[cC][^\s-]{8,}$Display name of the organization
URL-friendly identifier for the organization
External Clerk organization ID, null if not linked
Current subscription tier
FREE, STARTER, GROWTH, ENTERPRISE ISO 8601 timestamp of the last master-key rotation, null if never rotated
Arbitrary key-value settings for the organization
Show child attributes
Show child attributes
Outbound TCPA consent attestation status for this organization
Show child attributes
Show child attributes
ISO 8601 timestamp when the organization was created
ISO 8601 timestamp when the organization was last modified
